#
# spec file for package genromfs
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           genromfs
Version:        0.5.7
Release:        1.6
Summary:        Utility for Creating romfs File Systems
License:        GPL-2.0-or-later
Group:          System/Boot
URL:            http://romfs.sourceforge.net
Source:         https://github.com/chexum/genromfs/archive/refs/tags/%version.tar.gz

%description
Genromfs is a tool for creating romfs file systems, which are
lightweight, read-only file systems supported by the Linux kernel.
Romfs file systems were traditionally used for the initial RAM disks
used during installation.

%prep
%autosetup

%build
%make_build CC="gcc" CFLAGS="%{optflags} -DVERSION=\\\"%{version}\\\"" LDFLAGS=

%install
%make_install PREFIX="%{buildroot}" mandir="%{_mandir}"

%files
%license COPYING
%doc NEWS ChangeLog genromfs.lsm romfs.txt
%doc %{_mandir}/man8/genromfs.8.gz
%{_bindir}/genromfs

%changelog
* Sat Aug 27 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.5.7
  * Make extension options really able to copy the current data.
  * Detect unparseable numbers in the extended options.
  * Tags were stored in an incorrect order, making any value of
    uids, gids and timestamps larger than 4095 ending up with a
    wrong value.
* Sat May  7 2022 Marcus Meissner <meissner@suse.com>
- use https source url
* Mon Apr 20 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
* Mon Oct  6 2014 pgajdos@suse.com
- fix source URL
* Mon Oct  6 2014 jengelh@inai.de
- Remove ancient/unused spec tags/sections
- Use Source URLs and update the description
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Tue Jul 24 2007 pgajdos@suse.cz
- updated to 0.5.2 (fixes some bugs)
  * faked device names may contain the special characters
    "-" "_" and "+"
  * code changes -- avoid possible side effects of ntohl(),
    and report nonexistant directories instead of a segfault
- removed genromfs-0.5.1.patch, because was applied upstream
* Thu May 18 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Jan 22 2002 vinil@suse.cz
- version 0.5.1
* Thu Mar  2 2000 kukuk@suse.de
- Initial version
